
From: Martin Waitz <tali@admingilde.org>

This patch updates some comments to match code changes.

Signed-off-by: Martin Waitz <tali@admingilde.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 Documentation/DocBook/kernel-api.tmpl |    2 +-
 drivers/pnp/card.c                    |    3 +--
 drivers/pnp/manager.c                 |    1 +
 fs/sysfs/file.c                       |    5 +++--
 mm/memory.c                           |    2 +-
 5 files changed, 7 insertions(+), 6 deletions(-)

diff -puN Documentation/DocBook/kernel-api.tmpl~docbook-update-comments Documentation/DocBook/kernel-api.tmpl
--- 25/Documentation/DocBook/kernel-api.tmpl~docbook-update-comments	2005-06-18 02:56:10.000000000 -0700
+++ 25-akpm/Documentation/DocBook/kernel-api.tmpl	2005-06-18 02:56:10.000000000 -0700
@@ -266,7 +266,7 @@ X!Ekernel/module.c
   <chapter id="hardware">
      <title>Hardware Interfaces</title>
      <sect1><title>Interrupt Handling</title>
-!Iarch/i386/kernel/irq.c
+!Ikernel/irq/manage.c
      </sect1>
 
      <sect1><title>Resources Management</title>
diff -puN drivers/pnp/card.c~docbook-update-comments drivers/pnp/card.c
--- 25/drivers/pnp/card.c~docbook-update-comments	2005-06-18 02:56:10.000000000 -0700
+++ 25-akpm/drivers/pnp/card.c	2005-06-18 02:56:10.000000000 -0700
@@ -259,7 +259,6 @@ int pnp_add_card_device(struct pnp_card 
 
 /**
  * pnp_remove_card_device- removes a device from the specified card
- * @card: pointer to the card to remove from
  * @dev: pointer to the device to remove
  */
 
@@ -274,7 +273,7 @@ void pnp_remove_card_device(struct pnp_d
 
 /**
  * pnp_request_card_device - Searches for a PnP device under the specified card
- * @lcard: pointer to the card link, cannot be NULL
+ * @clink: pointer to the card link, cannot be NULL
  * @id: pointer to a PnP ID structure that explains the rules for finding the device
  * @from: Starting place to search from. If NULL it will start from the begining.
  */
diff -puN drivers/pnp/manager.c~docbook-update-comments drivers/pnp/manager.c
--- 25/drivers/pnp/manager.c~docbook-update-comments	2005-06-18 02:56:10.000000000 -0700
+++ 25-akpm/drivers/pnp/manager.c	2005-06-18 02:56:10.000000000 -0700
@@ -390,6 +390,7 @@ fail:
  * pnp_manual_config_dev - Disables Auto Config and Manually sets the resource table
  * @dev: pointer to the desired device
  * @res: pointer to the new resource config
+ * @mode: 0 or PNP_CONFIG_FORCE
  *
  * This function can be used by drivers that want to manually set thier resources.
  */
diff -puN fs/sysfs/file.c~docbook-update-comments fs/sysfs/file.c
--- 25/fs/sysfs/file.c~docbook-update-comments	2005-06-18 02:56:10.000000000 -0700
+++ 25-akpm/fs/sysfs/file.c	2005-06-18 02:56:10.000000000 -0700
@@ -14,7 +14,7 @@
 #define to_subsys(k) container_of(k,struct subsystem,kset.kobj)
 #define to_sattr(a) container_of(a,struct subsys_attribute,attr)
 
-/**
+/*
  * Subsystem file operations.
  * These operations allow subsystems to have files that can be 
  * read/written. 
@@ -192,8 +192,9 @@ fill_write_buffer(struct sysfs_buffer * 
 
 /**
  *	flush_write_buffer - push buffer to kobject.
- *	@file:		file pointer.
+ *	@dentry:	dentry to the attribute
  *	@buffer:	data buffer for file.
+ *	@count:		number of bytes
  *
  *	Get the correct pointers for the kobject and the attribute we're
  *	dealing with, then call the store() method for the attribute, 
diff -puN mm/memory.c~docbook-update-comments mm/memory.c
--- 25/mm/memory.c~docbook-update-comments	2005-06-18 02:56:10.000000000 -0700
+++ 25-akpm/mm/memory.c	2005-06-18 02:56:10.000000000 -0700
@@ -1504,7 +1504,7 @@ restart:
  * unmap_mapping_range - unmap the portion of all mmaps
  * in the specified address_space corresponding to the specified
  * page range in the underlying file.
- * @address_space: the address space containing mmaps to be unmapped.
+ * @mapping: the address space containing mmaps to be unmapped.
  * @holebegin: byte in first page to unmap, relative to the start of
  * the underlying file.  This will be rounded down to a PAGE_SIZE
  * boundary.  Note that this is different from vmtruncate(), which
_
